package VistaControlador;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import javax.swing.JOptionPane;

public class Controlador implements ActionListener{

	private Vista vista;
	public Controlador(Vista vista) {
		this.vista=vista;
		this.aniadirListeners();
	}
	@Override
	public void actionPerformed(ActionEvent e) {
		String nombre=JOptionPane.showInputDialog("Introduce un nuevo gasto o ingreso");
		if(nombre.equals("")) {
			JOptionPane.showMessageDialog(null, "Debe introducir algo", "error", JOptionPane.WARNING_MESSAGE);
			return;
		}
		String dinero=JOptionPane.showInputDialog("Introduce a cuanto asciende");
		if(dinero.equals("")) {
			JOptionPane.showMessageDialog(null, "Debe introducir algo", "error", JOptionPane.WARNING_MESSAGE);
			return;
		}
		
		try {
			this.vista.aniadirElemento(nombre, Integer.parseInt(dinero));
		}catch (NumberFormatException ex) {
			JOptionPane.showMessageDialog(null, "Debe introducir un numero", "error", JOptionPane.WARNING_MESSAGE);
		}
		
	}
	
	
	private void aniadirListeners() {
		vista.boton.addActionListener(this);
	}
	
}
